%global pypi_name mpmath
%global pypi_version 1.3.0

# enable tests by default
%bcond_without tests

Summary:        Python library for arbitrary-precision floating-point arithmetic
Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}

License:        BSD-3-Clause
URL:            https://mpmath.org
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools

%if %{with tests}
BuildRequires:  python3-pytest
%endif

%description
Mpmath is a pure-Python library for multiprecision floating-point
arithmetic. It provides an extensive set of transcendental functions,
unlimited exponent sizes, complex numbers, interval arithmetic,
numerical integration and differentiation, root-finding, linear
algebra, and much more. Almost any calculation can be performed just
as well at 10-digit or 1000-digit precision, and in many cases mpmath
implements asymptotically fast algorithms that scale well for
extremely high precision work. If available, mpmath will (optionally)
use gmpy to speed up high precision operations.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3 >= 3.8
Provides:       python3-%{pypi_name} = %{version}

%description -n python3-%{pypi_name}
Mpmath is a pure-Python library for multiprecision floating-point
arithmetic. It provides an extensive set of transcendental functions,
unlimited exponent sizes, complex numbers, interval arithmetic,
numerical integration and differentiation, root-finding, linear
algebra, and much more. Almost any calculation can be performed just
as well at 10-digit or 1000-digit precision, and in many cases mpmath
implements asymptotically fast algorithms that scale well for
extremely high precision work. If available, mpmath will (optionally)
use gmpy to speed up high precision operations.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files mpmath

%check
%if %{with tests}
cd mpmath/tests/
pytest -v
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%changelog
* Tue Jun 25 2024 Clare <clarehkli@tencent.com> - 1.3.0-1
- [Type] other
- [DESC] initial build
